Subject: [Hipsec] Towards a HIP BOF / WG

From: [email-masked] (Pekka Nikander)
Date: Fri Sep 19 02:39:00 2003

Folks,

I had a chance to briefly discuss the possibility of
the proposed HIP WG and BOF with the Internet Area ADs,
Thomas Narten and Margaret Wasserman, earlier this week.
The discussion took place after another conference call,
and we didn't have time to go into any specifics.

Anyway, if I understood correctly what Thomas and
Margaret said, they have basically no problems with
an approach that would produce documents that

  a) specify the interconnections HIP has with the
     rest of the current IP infrastructure, i.e.
     IPsec, DNS, and NAT, and

  b) specify the required new infrastructure
     (rendezvous servers) that HIP needs.

The fact that there have been two BOFs two years ago
is a technicality that can be overruled, based on the
fact that the situation has considerably changed.
HIP is now close to start being experimentally deployed,
and it needs the details for the infrastructure support.
(Back two years ago people were still being developing
the details of the basic protocol, and there were
no implementations.)

While it is unusual to charter a working group whose
goal is to produce experimental documents, that should
not be a show stopper, either.  On the other hand,
Thomas said that it is good that people a honest with
the maturity level of the proposed technology.

The next step is that I will produce a formal BOF
proposal to Thomas and Margaret.  For that, we need
a detailed BOF description, agenda, and names for the
BOF chairs.

Already during the Vienna meeting I drafted a charter
proposal.  I will post it and my proposal for the BOF
agenda, separately on the list.

--Pekka Nikander